Bug 143954 - [PATCH]x11/rxvt-devel: unbreak on 9-CURRENT after utmp/utmpx changes
Summary: [PATCH]x11/rxvt-devel: unbreak on 9-CURRENT after utmp/utmpx changes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-15 14:40 UTC by bf
Modified: 2014-06-20 18:01 UTC (History)
0 users

See Also:


Attachments
file.diff (2.08 KB, patch)
2010-02-15 14:40 UTC, bf
no flags Details | Diff
rxvt_devel_utmpx_diff.txt (3.98 KB, text/plain; charset=US-ASCII)
2010-02-15 16:23 UTC, b. f.
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description bf 2010-02-15 14:40:04 UTC
Push a patch ed@ made in Jan. for the utmp/utmpx changes into the tree.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-02-15 14:40:12 UTC
Maintainer of x11/rxvt-devel,

Please note that PR ports/143954 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/143954

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-02-15 14:40:13 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 b. f. 2010-02-15 16:23:18 UTC
Sorry, I forgot that the changes to the patch should also be
conditional on ${OSVERSION}. Please use the attached diff instead:
note that patch-src::logging.c is renamed as
utmp_patch-src::logging.c, and another patch is added:
utmpx_patch-src::logging.c.  The x11/rxvt port probably needs similar
changes.

b.
Comment 4 Andy Kosela 2010-02-15 17:52:46 UTC
On Mon, Feb 15, 2010 at 3:40 PM, Edwin Groothuis <edwin@freebsd.org> wrote:
> Maintainer of x11/rxvt-devel,
>
> Please note that PR ports/143954 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
> =A0 =A0http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/143954

Yes, I approve it.

Thanks
Comment 5 Martin Wilke freebsd_committer 2010-02-16 10:17:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 6 Martin Wilke freebsd_committer 2010-03-09 11:06:13 UTC
State Changed
From-To: feedback->open

Maintainer has approved.
Comment 7 Martin Wilke freebsd_committer 2010-03-09 11:06:31 UTC
State Changed
From-To: open->feedback


Build failed: 

http://32bit.miwibox.org/index.php?action=describe_port&id=1645 
http://64bit.miwibox.org/index.php?action=describe_port&id=1645
Comment 8 b. f. 2010-04-11 06:15:39 UTC
On 3/9/10, miwi@freebsd.org <miwi@freebsd.org> wrote:
> Synopsis: [PATCH]x11/rxvt-devel: unbreak on 9-CURRENT after utmp/utmpx
> changes
>
> State-Changed-From-To: open->feedback
> State-Changed-By: miwi
> State-Changed-When: Tue Mar 9 11:06:31 UTC 2010
> State-Changed-Why:
>
> Build failed:
>
> http://32bit.miwibox.org/index.php?action=describe_port&id=1645
> http://64bit.miwibox.org/index.php?action=describe_port&id=1645
>
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=143954
>

Martin:

I'm not sure what happened here: the build seems to have failed only
on the 9-CURRENT tinderbox versions.  It works for me on 9-CURRENT
i386 and amd64, so I suspect that my patch wasn't fully applied. (The
file deletion problem again with patch(1)?)  Just to be clear, the
changes should include the *removal* of the original
files/patch-src::logging.c, and the addition of two other patches:
files/utmp_patch-src::logging.c and files/utmpx_patch-src::logging.c.
Was files/patch-src::logging.c really removed before this tinderbox
run?

b.
Comment 9 Martin Wilke freebsd_committer 2010-05-09 09:43:40 UTC
State Changed
From-To: feedback->open

.
Comment 10 Martin Wilke freebsd_committer 2010-05-09 09:44:26 UTC
State Changed
From-To: open->feedback

still the same problem on a fresh up to date head box. 
http://32bit.miwibox.org/index.php?action=describe_port&id=1645
Comment 11 dfilter service freebsd_committer 2010-05-09 11:06:18 UTC
miwi        2010-05-09 10:06:04 UTC

  FreeBSD ports repository

  Modified files:
    x11/rxvt-devel       Makefile 
  Added files:
    x11/rxvt-devel/files patch-src::rxvt.h 
                         utmp_patch-src::logging.c 
                         utmpx_patch-src::logging.c 
  Removed files:
    x11/rxvt-devel/files patch-src::logging.c 
  Log:
  - Fix build on head
  
  PR:             143954
  Submitted by:   bf <bf1783@gmail.com>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.94      +7 -3      ports/x11/rxvt-devel/Makefile
  1.2       +0 -12     ports/x11/rxvt-devel/files/patch-src::logging.c (dead)
  1.1       +11 -0     ports/x11/rxvt-devel/files/patch-src::rxvt.h (new)
  1.1       +12 -0     ports/x11/rxvt-devel/files/utmp_patch-src::logging.c (new)
  1.1       +50 -0     ports/x11/rxvt-devel/files/utmpx_patch-src::logging.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 Martin Wilke freebsd_committer 2010-05-09 11:06:31 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 13 commit-hook freebsd_committer 2014-06-20 18:01:20 UTC
A commit references this bug:

Author: adamw
Date: Fri Jun 20 18:00:46 UTC 2014
New revision: 358618
URL: http://svnweb.freebsd.org/changeset/ports/358618

Log:
  Fix building with INLINE_IMAGE disabled. Sorry about that!

  PR:		ports/143954
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>

Changes:
  head/www/w3m/Makefile